PUT /v2/api/products

Use to update certain fields of product that already exists.\

application/json

Body Required

Array of products to update

  • activePlanning boolean

    Active Planning indicates if the variant is included in planning

    Default value is false.

  • additionalSuppliers object

    Suppliers

  • ageGroup string

    AgeGroup assosciated with the product

  • brandName string Required

    Name of the products brand

  • categoryName string Required

    Category of product. Should be a relevant for segmentation

  • collection string

    Collection that the product belongs to

  • color string Required

    Color assosciated with the variant

  • costCalculationPrice number

    CostCalculationPrice is the base cost price to be used with CostCalculationValues.

  • costCalculationValues object

    CostCalculationValues used to calculate the cost price

  • costPrice number

    CostPrice of the Variant

  • costPriceCurrency string

    CostPriceCurrency of the Variant

  • customFields string

    Any JSON object holding additional filter attributes

  • department string

    Department assosciated with the product

  • ean string

    EAN of Variant

  • externalAttributes object

    External Attributes is a JSON field that can be used to store any additional information about the product.

  • gender string

    Gender assosciated with the product

  • imageUrl string
  • info object

    Any info / data needed by the integration (json)

  • key string Required

    Key used between products, transaction & stock tables. Usually SKU or EAN but needs to be same on all occurrences

  • leadTime integer

    Lead Time of variant in months

  • moq integer

    Minimum Order Quantity of variant

  • packsize integer

    Packsize

  • price number

    Sales Price of the Variant (Excl VAT)

  • priceCurrency string

    Sales Price Currency of the Variant

  • priceIncludingVat boolean

    If Price is including VAT or not

  • prices array[object]

    Prices of the Variant across multiple price lists

    Hide prices attributes Show prices attributes object
    • customPrice1 number
    • customPrice2 number
    • customPrice3 number
    • customPrice4 number
    • listExternalID string

      ID of Price list in external platform

    • price number
    • vat number
  • productGroupID string Required

    ProductGroupID is used to group products together within Madden

  • productMoq integer

    Minimum Order Quantity of product

  • productName string Required

    Name of product

  • productType number

    Type of product (1: Normal/standard, 2: Commission, 3: Local)

    Values are 1, 2, or 3. Default value is 1.

  • season string

    Season that the product belongs to

  • size string Required

    Size assosciated with the variant

  • sku string

    SKU of product. Should be unique per size/variant

  • skuSynonyms array[string]

    List of sku synonyms that should point to this variant

  • status number

    Status of the variant (1: Inactive, 2: Active, 3: Outgoing)

    Values are 1, 2, 3, 4, 5, 6, or 7. Default value is 2.

  • subCategory string Required

    Subcategory of product. Should be a relevant for segmentation

  • supplier string

    Supplier of the Product

  • supplierPrice number

    Price to produce

  • supplierPriceCurrency string

    Currency to produce

  • unitVolume number

    Unit volume of the product in meters (l*w*h) (CBM)

  • variantExternalID string

    ID of variant in external platform

  • variantGroupID string

    VariantGroupID is used to group variants

  • variantName string Required

    Name of specific variant

  • vatValue number

    Vat Value is the percentage of VAT

  • vendorSKU string

    Vendors SKU if using own sku structure

  • weight number

    Weight of the product in kilograms (kg)

  • wholesalePrice number

    Wholesale price of the Variant (Excl VAT)

  • wholesalePriceCurrency string

    Currency Code of the Wholeale Price

  • year string

    Start of the porducts life-cycle

Responses

  • 200 application/json

    Success responses with update status

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • 400 application/json

    Bad request - at least one validation error

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • 500 application/json

    Internal server error

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
PUT /v2/api/products
curl \
 --request PUT 'https://api.maddenanalytics.com/v2/api/products' \
 --header "Content-Type: application/json" \
 --data '[{"activePlanning":true,"additionalSuppliers":{},"ageGroup":"Senior","brandName":"Acme","categoryName":"Sneakers","collection":"SS21","color":"Black","costCalculationPrice":42.0,"costCalculationValues":{},"costPrice":42,"costPriceCurrency":"USD","customFields":"{}","department":"Sports","ean":"7340192703345","externalAttributes":{},"gender":"Unisex","imageUrl":"https://example.com/image.jpg","info":{},"key":"7340192703345","leadTime":3,"moq":300,"packsize":1,"price":42,"priceCurrency":"USD","priceIncludingVat":true,"prices":[{"customPrice1":42.0,"customPrice2":42.0,"customPrice3":42.0,"customPrice4":42.0,"listExternalID":"retail_SEK","price":42.0,"vat":42.0}],"productGroupID":"123456","productMoq":300,"productName":"Petter","productType":1,"season":"Spring/Summer","size":"43","sku":"123456-001-43","skuSynonyms":["string"],"status":2,"subCategory":"Low Sneakers","supplier":"string","supplierPrice":42,"supplierPriceCurrency":"string","unitVolume":42.0,"variantExternalID":"shopify_432345","variantGroupID":"123456-001","variantName":"Petter Black","vatValue":25,"vendorSKU":"9876543-001-43","weight":42.0,"wholesalePrice":42,"wholesalePriceCurrency":"USD","year":"2021"}]'
Request examples
[
  {
    "activePlanning": true,
    "additionalSuppliers": {},
    "ageGroup": "Senior",
    "brandName": "Acme",
    "categoryName": "Sneakers",
    "collection": "SS21",
    "color": "Black",
    "costCalculationPrice": 42.0,
    "costCalculationValues": {},
    "costPrice": 42,
    "costPriceCurrency": "USD",
    "customFields": "{}",
    "department": "Sports",
    "ean": "7340192703345",
    "externalAttributes": {},
    "gender": "Unisex",
    "imageUrl": "https://example.com/image.jpg",
    "info": {},
    "key": "7340192703345",
    "leadTime": 3,
    "moq": 300,
    "packsize": 1,
    "price": 42,
    "priceCurrency": "USD",
    "priceIncludingVat": true,
    "prices": [
      {
        "customPrice1": 42.0,
        "customPrice2": 42.0,
        "customPrice3": 42.0,
        "customPrice4": 42.0,
        "listExternalID": "retail_SEK",
        "price": 42.0,
        "vat": 42.0
      }
    ],
    "productGroupID": "123456",
    "productMoq": 300,
    "productName": "Petter",
    "productType": 1,
    "season": "Spring/Summer",
    "size": "43",
    "sku": "123456-001-43",
    "skuSynonyms": [
      "string"
    ],
    "status": 2,
    "subCategory": "Low Sneakers",
    "supplier": "string",
    "supplierPrice": 42,
    "supplierPriceCurrency": "string",
    "unitVolume": 42.0,
    "variantExternalID": "shopify_432345",
    "variantGroupID": "123456-001",
    "variantName": "Petter Black",
    "vatValue": 25,
    "vendorSKU": "9876543-001-43",
    "weight": 42.0,
    "wholesalePrice": 42,
    "wholesalePriceCurrency": "USD",
    "year": "2021"
  }
]
Response examples (200)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (400)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (500)
{
  "message": "Missing BrandName",
  "reference": "123456-001-43",
  "referenceField": "key",
  "statusCode": 400
}